/*
 * @Descripttion: 
 * @version: 
 * @Author: JC9527
 * @Date: 2023-09-11 15:38:21
 * @LastEditors: JC9527
 * @LastEditTime: 2023-09-13 17:14:29
 */
import request from '@/utils/request'

export default {
  // 行政区划
  tree(params) {
    return request({
      url: "/administrative/tree",
      method: "get",
      params,
    });
  },
  // 导入excel
  importExcel(data) {
    return request({
      url: "/bKeyEnterprise/common/importExcel",
      method: "post",
      data,
    });
  },
  // 企业基本信息
  basicList(params) {
    return request({
      url: "/info/list",
      method: "get",
      params,
    })
  },
  // 查看，新增，修改，删除计划管理表   get\delete 传参是params  put\post  传参是data
  bPlanManage(method,data = null, params = null, id){
    console.log(id)
    return request({
      url: `/bPlanManage${id ? `/${id}` : ''}`,
      method,
      data,
      params
    });
  },
  bPlanManageTwo(id){
    return request({
      url: `/bPlanManage/${id}`,
      method:'get',
    });
  },
  dictdata(params){
    return request({
      url: `/dictdata`,
      method:'get',
      params
    });
  }
};